LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 01-11-2018, 09:46 PM   #1
FlinchX
Member
 
Registered: Nov 2017
Distribution: Slackware Linux
Posts: 169

Rep: Reputation: Disabled
Latest audacity from SBo fails to build


I am running Slackware64-14.2 with wxGTK3-3.0.3.1 (as dependency for audacity) and audacity-2.1.3 from SBo. audacity compiled fine and it works. Synced with SBo using sbopkg and it suggested an upgrade to audacity-2.2.1, but it won't build. Tail of build log attached below:

Code:
checking for wx-config... /usr/bin/wx-config
configure: Checking that the chosen version of wxWidgets is 3.0.x
configure: error: Unable to locate a suitable configuration of wxWidgets v3.0.x or higher.
The currently available configurations are listed below.  If necessary, either
install the package for your distribution or download the latest version of
wxWidgets
from http://wxwidgets.org.

    Default config is gtk2-unicode-release-2.8

  Default config will be used for output

  Also available in /usr:
    gtk2-unicode-3.0

audacity:
Would you like to continue processing the rest of the
queue or would you like to abort?  If this failed
package is a dependency of another package in the queue
then it may not make sense to continue.

(Y)es to continue, (N)o to abort, (R)etry the build?:
 
Old 01-11-2018, 09:54 PM   #2
RadicalDreamer
Member
 
Registered: Jul 2016
Location: USA
Distribution: Slackware64-Current
Posts: 616

Rep: Reputation: 263Reputation: 263Reputation: 263
Did you rebuild wxGTK3? http://slackbuilds.org/repository/14...raries/wxGTK3/
 
Old 01-11-2018, 10:54 PM   #3
FlinchX
Member
 
Registered: Nov 2017
Distribution: Slackware Linux
Posts: 169

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by RadicalDreamer View Post
I have used the update queue, not the new audacity queue, so I did skip rebuilding wxgtk3. Should I rebuild that too first?
 
Old 01-12-2018, 03:31 AM   #4
RadicalDreamer
Member
 
Registered: Jul 2016
Location: USA
Distribution: Slackware64-Current
Posts: 616

Rep: Reputation: 263Reputation: 263Reputation: 263
Quote:
Originally Posted by FlinchX View Post
I have used the update queue, not the new audacity queue, so I did skip rebuilding wxgtk3. Should I rebuild that too first?
If you built wxgtk after building wxgtk3:
Quote:
wxGTK3 can be installed alongside with wxGTK/wxPython, but it will
overwrite wx-config created by wxGTK/wxPython.
If you need to build packages using wxGTK/wxPython, simply
reinstall wxGTK/wxPython package and wx-config will point to correct version.
The same solution can be used if wxGTK3's wx-config is overwritten.
 
1 members found this post helpful.
Old 01-12-2018, 05:27 AM   #5
FlinchX
Member
 
Registered: Nov 2017
Distribution: Slackware Linux
Posts: 169

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by RadicalDreamer View Post
If you need to build packages using wxGTK/wxPython, simply
reinstall wxGTK/wxPython package and wx-config will point to correct version.
Thanks, this did the trick. I wish it was obvious from sbopkg log. Lesson learned: if I ever get such troubles again, first thing I'll do will be to read the README of failing package and only then ask for help in forum.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] Cannot build cycler SBo package mfoley Slackware 2 01-15-2017 11:52 PM
[SOLVED] some 14.2 packages in SBo fail to build (autoconf) metageek Slackware 8 07-03-2016 08:14 PM
VLC from SBo won't compile on -current after latest upgrades kikinovak Slackware 2 11-25-2015 06:25 PM
[SOLVED] SBo + sbopkg, qt5 build parallel a4z Slackware 3 10-12-2014 11:54 AM
[SOLVED] SBo SlackBuilds fail at make install under latest -current64 rmjohnso Slackware 2 03-04-2010 11:13 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 11:28 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration